Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.stack.isea
Class ISEAbstractState

    java.lang.Object
      avrora.stack.isea.ISEAbstractState

Direct Known Subclasses:
  ISEState

public class ISEAbstractState
extends java.lang.Object

Nested Class Summary
`static class` | `ISEAbstractState.Element`

Constructor Summary
`ISEAbstractState(ISEAbstractState.Element[] e, byte[] nstack, int ndepth)`

Method Summary
`ISEAbstractState` | `copy()`
`boolean` | `equals(java.lang.Object o)`
`byte` | `getElement(int element)`
`boolean` | `isRead(int element)`
`void` | `merge(ISEAbstractState s)`
`protected void` | `nextln()`
`byte` | `pop()`
`void` | `print(int pc)`
`void` | `push(byte val)`
`byte` | `readElement(int element)`
`void` | `writeElement(int element, byte val)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISEAbstractState

    public ISEAbstractState(ISEAbstractState.Element[] e,
                            byte[] nstack,
                            int ndepth)

Method Detail

### merge

    public void merge(ISEAbstractState s)

### equals

    public boolean equals(java.lang.Object o)

### copy

    public ISEAbstractState copy()

### push

    public void push(byte val)

### pop

    public byte pop()

### print

    public void print(int pc)

### nextln

    protected void nextln()

### readElement

    public byte readElement(int element)

### getElement

    public byte getElement(int element)

### writeElement

    public void writeElement(int element,
                             byte val)

### isRead

    public boolean isRead(int element)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD